#4380 intermittent failure to show Wiki, Tickets, News, ... in navigation bar

fixed
metaf2xml
2015-10-08
2013-06-14
metaf2xml
No

Hi,

since yesterday, sometimes the links to the tools Wiki, Tickets, News, Discussion and Code are not displayed in the navigation bar on the Summary, Files, Reviews and Support pages. During this time, the Project Trackers and Project Forums are also not shown on the Support page. It looks as if these tools would not exist. However, they are accessible with their URL, and on their pages, the navigation bar is always complete.
This happened to me about 8 times, last occurrence today, 17:58 UTC, currently it works.

Please fix. Thanks!

Kind regards,
Thomas

Discussion

  • Anonymous

    Anonymous - 2013-06-17
    • status: unread --> pending
    • assigned_to: Chris Tsai
     
  • Anonymous

    Anonymous - 2013-06-17

    Greetings,

    Are you still seeing this?

    On the Summary page, the navigation bar is cached, and if the navigation lookup failed, it might have temporarily cached the empty navigation.

    Thanks,
    Chris Tsai, SourceForge.net Support

     
  • metaf2xml

    metaf2xml - 2013-06-17

    Hi,

    yes, it still happens. I started checking around 14:00 UTC today, once per minute. Everything was fine until and including 14:33:47 UTC. For the next request 60 seconds later, the links were missing in the response. I stopped checking about 10 minutes later, it was still broken. Currently it works.

    Kind regards,
    Thomas

     
  • Anonymous

    Anonymous - 2013-06-17
    • labels: --> engr, nf-6369
    • status: pending --> assigned
     
  • Anonymous

    Anonymous - 2013-06-17

    Okay, I'm escalating this to our engineering team to determine a better way to handle this: [allura:tickets:#6369]

    Regards,
    Chris Tsai, SourceForge.net Support

     
  • metaf2xml

    metaf2xml - 2013-08-25

    Hi,

    I cannot check the progress of [allura:tickets:#6369] ("Error 403 Read access required") but I haven't seen this error for quite a while. Maybe the issue was solved and this ticket can be closed? Wild guess: maybe it was fixed by [allura:tickets:#6048] "Be resilient to database connection failures" -- error 403 :-( -- which was pushed to production with [allura:tickets:#6467].

    Kind regards,
    Thomas

     
  • John Barrett

    John Barrett - 2015-10-08

    Hello,
    Durning a ticket review process I saw this ticket, so I apologize for the delay in my reply to this ticket. I think this is an old issue that has already been taken care of if I'm mistaken please let me know and I will take another look into your situation.
    Thanks
    SourceForge Support

     
  • John Barrett

    John Barrett - 2015-10-08
    • status: assigned --> fixed
     

Log in to post a comment.